package ru.soune.nocopy.entity.notification;

import lombok.Getter;

@Getter
public enum NotificationType {
    SEARCH_RESULT("notification-search-result"),
    MONITORING_RESULT("notification-monitoring-result"),
    OPERATION_IMPOSSIBLE("notification-operation-impossible"),
    START_FAILED_NOW("notification-start-failed-now"),
    START_FAILED_NEXT("notification-start-failed-next"),
    PAYOUT_RESULT("notification-payout-result"),
    PAYMENT_RESULT("notification-payment-result"),
    REFERRAL_DEPOSIT("notification-referral-deposit"),
    REFERRAL_REGISTERED("notification-referral-registered"),
    USER_VERIFIED("notification-user-verified"),
    USER_NOT_VERIFIED("notification-user-not-verified"),
    REFERRAL_ACTIVATED("notification-referral-activated"),
    COMPLAINT_STATUS_CHANGED("notification-complaint-status"),
    CASE_STATUS_CHANGED("notification-case-status"),
    INCOMING_MESSAGE("notification-incoming-message"),
    TARIFF_EXPIRING("notification-tariff-expiring"),
    TOKEN_NOT_FOUND("notification-token-not-found"),
    FILE_MODERATION_EVENT("notification-file-moderation"),
    FILE_ADDED_TO_SYSTEM("notification-file-added"),
    SEARCH_OPERATION_FAILED("notification-search-operation-filed");

    private final String messageKey;

    NotificationType(String messageKey) {
        this.messageKey = messageKey;
    }
}
